// ported from https://github.com/react-bootstrap/react-bootstrap/blob/f11723114d532cfce840417834a73733a8436414/src/ThemeProvider.tsx
import { createContext, createMemo, useContext } from "solid-js";
const ThemeContext = createContext({ prefixes: {} });
function ThemeProvider({ prefixes = {}, dir, children }) {
    const contextValue = createMemo(() => ({
        prefixes: { ...prefixes },
        dir,
    }));
    return (<ThemeContext.Provider value={contextValue()}>
      {children}
    </ThemeContext.Provider>);
}
export function useBootstrapPrefix(prefix, defaultPrefix) {
    const themeContext = useContext(ThemeContext);
    return prefix || themeContext.prefixes[defaultPrefix] || defaultPrefix;
}
export function useIsRTL() {
    const themeContext = useContext(ThemeContext);
    return themeContext.dir === "rtl";
}
export default ThemeProvider;
